// File:	E391aDecayPos.hh
// Date:	15-Jun-2001 G.Macharashvili Dubna

#ifndef E391aDecayPos_hh
#define E391aDecayPos_hh 1

#include "Randomize.hh"
#include "G4ThreeVector.hh"

#include "TH1.h"

class E391aDecayPos {

protected:

static	const	G4double	CTau=15.51*m ;

public:

	E391aDecayPos(G4double zmin,G4double zmax) ;
	~E391aDecayPos() ;

	void			Print() ;
	G4double		Prob() ;
	G4double		KLongZ(G4double beta) ;

protected:

	TH1F			*HDPos ;
	G4int			NEvt ;  // make double long ...
	G4double		sum ;
	G4double		zo , zv ;

	} ;

#endif

// EOF
