// File:	E391aEventReader.hh
// Date:	09-Oct-2001 G.Macharashvili Juelich

#ifndef E391aEventReader_h
#define E391aEventReader_h 1

#include <iostream.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>
#include <time.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

class E391aEventReader {

public:

		E391aEventReader(const char *FileName=0) ;
//		E391aEventReader(FILE *fd) ; // check write permission
		~E391aEventReader() { Close() ; }

protected:

	bool	Open(const char *fnm) ;
	void	Close() { if (f!=0) fclose(f) ; f=0 ; }

public:

	void	Print() ;
	void	Dump() ;
	bool	Read() ;
	void	Start() { fseek(f,0l,SEEK_SET) ; }

	int	EvtLength() const { return buf[0] ; }
	int	RunNum() const { return buf[1] ; }
	int	EvtSeqNum() const { return buf[2] ; }
	int	Time() const { return buf[3] ; }
	char*	TimeString() const { return ctime((long *)(buf+3)) ; }
	int	EvtStatus() const { return buf[5] ; }
	int	Trig() const { return buf[6] ; }
	int	NumOfSignals() const { return buf[7] ; }

	int	SignalID(int k) const ;
	int	DetectorID(int k) const ;
	int	ModuleID(int k) const ;
	int	QDC(int k) const ;
	int	TDC(int k) const ;

protected:

struct	stat	FAttr ;
	FILE	*f ;
	int	*buf , *p ;

	} ;

#endif
	
// EOF
