// File:	E391aSteppingAction.hh
// Date:	16-Apr-2001 G.Macharashvili Juelich

#ifndef E391aSteppingAction_h
#define E391aSteppingAction_h 1

#include "E391aDetectorConstruction.hh"

#include "G4TransportationManager.hh"
#include "G4Navigator.hh"
#include "G4VProcess.hh"
#include "G4SteppingManager.hh"
#include "G4StepStatus.hh"
#include "G4VPhysicalVolume.hh"
#include "G4UserSteppingAction.hh"

class E391aDetectorConstruction ;

class E391aSteppingAction : public G4UserSteppingAction {

public:

	E391aSteppingAction(E391aDetectorConstruction*) ;
virtual	~E391aSteppingAction() ;

	E391aDetectorConstruction* Det() { return xDet ; }

virtual	void	UserSteppingAction(const G4Step*) ;

private:

	E391aDetectorConstruction	*xDet ;

	} ;

#endif

// EOF
