// File:	PList.h
// 
// Date:	05-Oct-1998 G.Macharashvili JINR Dubna
// 
// Updated:	19-Jan-1999 G.Macharashvili JINR Dubna
// Updated:	01-Nov-1999 G.Macharashvili JINR Dubna
// Updated:	12-Nov-2001 G.Macharashvili JINR Dubna


#ifndef PLIST_H
#define PLIST_H

#include <stdlib.h>

class PList {

public:

	PList(int InitElemNumb=0) ;
virtual	~PList() ;

	void	Print() ;	
	void*	operator()(int indx) const ; // with index check
inline	void*	operator[](int indx) const { return Ptr[indx] ; }
inline	int	NumOf() const { return ElemNumb ; }
inline	void	Clear() { ElemNumb=0 ; }
	bool	SearchPtr(const void* e) ;
	int	Index(const void* e) ;
	void	Swap(int i1,int i2) ;
	void	Add(const void* e) ;
	void	Remove(const void* e) ;
	void	Remove(int indx) ;

private:

#define CHUNK	128

	void	AddMemory(int size=CHUNK) ;

protected:

	void	**Ptr ;
	int	ElemNumb ;
	int	MaxElemNumb ;

	} ;

#endif
	