// File:	E391aDigitizerManager.hh
// Date:	01-Nov-2011 G.Macharashvili Dubna

#ifndef E391aDigitizerManager_hh
#define E391aDigitizerManager_hh 1

#include "E391aDetectorTable.hh"
#include "E391aVDigitizerModule.hh"
#include "E391aHit.hh"

#include "globals.hh"
#include "G4DigiManager.hh"
#include "G4Event.hh"
#include "G4HCofThisEvent.hh"

class E391aDigitizerManager {

protected:

// Call at E391aEventAction::EndOfEvent()

static	G4int			Instance ;
static	E391aVDigitizerModule	*DM[16] ;

public :

	E391aDigitizerManager() ;
	~E391aDigitizerManager() {}

static	bool	DigitizeHitsForThisEvent(const G4Event *E) ;

	} ;

#endif

// EOF
