// File:	E391aPrimaryTrigger.hh
// Date:	05-Jul-2001 G.Macharashvili Dubna

#ifndef E391aPrimaryTrigger_h
#define E391aPrimaryTrigger_h 1

#include "Map.hh"

#include "G4DynamicParticle.hh"
#include "G4LorentzVector.hh"
#include "G4ThreeVector.hh"

#include "TH1.h"
#include "TH2.h"

class E391aPrimaryTrigger {

private:

static	const	G4double	Zcm=602*cm ;
static	const	G4double	Rcm=105*cm ;
static	const	G4double	Xc=35/2*cm ;
static	const	G4double	Yc=35/2*cm ;
static	const	G4double	Xm=10/2*cm ;
static	const	G4double	Ym=10/2*cm ;

		G4int		PastEvts ;

public:

		E391aPrimaryTrigger() ;
		~E391aPrimaryTrigger() ;

	G4bool	Response(G4ThreeVector &,Map<G4DynamicParticle>&) ;
//	G4bool	Response(G4ThreeVector &,Map<G4VDigi>&) ;

	} ;

#endif

// EOF
