// File:	StepClassifier.hh
// Date:	08-Nov-2001 G.Macharashvili Dubna

#ifndef StepClassifier_h
#define StepClassifier_h 1

//#include "globals.hh"
#include "G4TransportationManager.hh"
#include "G4Navigator.hh"
#include "G4VProcess.hh"
#include "G4SteppingManager.hh"
#include "G4StepStatus.hh"
#include "G4VPhysicalVolume.hh"
#include "geomdefs.hh"
#include "G4VSolid.hh"
#include "G4Box.hh"
#include "G4TouchableHistory.hh"
#include "G4ThreeVector.hh"
#include "G4RotationMatrix.hh"

class StepClassifier {

public:

	StepClassifier() ;
	~StepClassifier() ;
  
G4int		Index(G4Step *S,G4String VolName) ;
G4String	VolumeName() { return VName ; }
G4int		VolumeCopyNo() { return VCopyNo ; }

private:

	G4String	VName , VName1 , VName2 ;
	G4int		VCopyNo  , VNo1 , VNo2 ;
	G4int		Exit , Enter , SameVol ;

	} ;

#endif

// EOF
